package com.jpsoft.shinestar.modules.sys.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.shinestar.modules.base.entity.CompanyInfo;
import com.jpsoft.shinestar.modules.sys.entity.UserCompany;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface UserCompanyService {
	UserCompany get(String id);
	boolean exist(String id);
	int insert(UserCompany model);
	int update(UserCompany model);
	int delete(String id);
	List<UserCompany> list();
	Page<UserCompany> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
    List<CompanyInfo> findByUserId(String userId);
	int deleteByUserId(String userId);
	List<CompanyInfo> findByUserIdAndOutscourcer(String userId,Boolean isOutsourcer);
}